
Portal - Employment  - Bug #1882

RMPMF 014 - Renew Work Permit (Early) - Submission form notes 

09/26/2019 04:47 PM - Israa Naser

Status: Fixed Start date: 09/26/2019

Priority: Normal Due date:  

Assignee: Israa Naser % Done: 50%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers: Billal Ghanimah, Israa Naser Actual Result:  

Severity: Normal Environment: QA

Category: PAMP PHASE II - Portal - Employment Transaction Number:  

Sub-Category:  Browser: Chrome

Step_Description:  URL:  

Pre_Conditions:  Test Case ID:  

Expected Result:  SERVICE_ID: 110

Description

1- there should be a validation over the civil ID field الرقم الوطني للعامل to be numbers only

and not to accept special characters or spaces

2- the report generated for this request does not follow the standards for the reports, check the screenshot attached

the background for the field values is white (check screenshot attached)

History

#1 - 09/26/2019 04:48 PM - Israa Naser

- File Standard report.PNG added

#2 - 09/29/2019 10:33 AM - Billal Ghanimah

- Status changed from Open to Fixed

- Assignee changed from Billal Ghanimah to Israa Naser

#3 - 10/02/2019 12:29 PM - Israa Naser

- File 110 - civil ID validation fixed.png added

- Status changed from Fixed to Open

- Assignee changed from Israa Naser to Billal Ghanimah

- % Done changed from 0 to 50

Tested the Civil ID validation,

the report still does not follow the standard design, back to Bilal.

the field رقم الملف shouldn't be displayed among the request fields body, as it's in the main report, could you please check as well

#4 - 10/02/2019 04:13 PM - Billal Ghanimah

- Status changed from Open to Fixed

- Assignee changed from Billal Ghanimah to Israa Naser

Files
110 - validation on Civil ID is missing.PNG 93.6 KB 09/26/2019 Israa Naser

110 - fields background.PNG 53 KB 09/26/2019 Israa Naser

Standard report.PNG 224 KB 09/26/2019 Israa Naser

110 - civil ID validation fixed.png 107 KB 10/02/2019 Israa Naser
